Loading...
Searching...
No Matches
gx_system::GxSettingsBase Class Reference

`#include <gx_json.h>`

Inheritance diagram for gx_system::GxSettingsBase:

## Public Member Functions

sigc::signal< void > & | signal_selection_changed ()
sigc::signal< void > & | signal_presetlist_changed ()
| GxSettingsBase (gx_engine::EngineControl &seq_)
| ~GxSettingsBase ()
const Glib::ustring & | get_current_bank ()
PresetFile * | get_current_bank_file ()
const Glib::ustring & | get_current_name ()
void | set_statefilename (const std::string &fn)
void | save_to_state (bool preserve_preset=false)
void | set_source_to_state ()
void | erase_preset (const Glib::ustring &name)
bool | setting_is_preset ()
bool | convert_preset (PresetFile &pf)
void | reorder_preset (PresetFile &pf, const std::vector< Glib::ustring > &neworder)
void | erase_preset (PresetFile &pf, const Glib::ustring &name)
void | save (PresetFile &pf, const Glib::ustring &name)
void | append (PresetFile &pf, const Glib::ustring &src, PresetFile &pftgt, const Glib::ustring &name)
void | insert_before (PresetFile &pf, const Glib::ustring &src, PresetFile &pftgt, const Glib::ustring &pos, const Glib::ustring &name)
void | insert_after (PresetFile &pf, const Glib::ustring &src, PresetFile &pftgt, const Glib::ustring &pos, const Glib::ustring &name)
void | load_preset (PresetFile *pf, const Glib::ustring &name)
bool | rename_bank (const Glib::ustring &oldname, const Glib::ustring &newname, const std::string &newfile)
bool | remove_bank (const Glib::ustring &bank)
bool | rename_preset (PresetFile &pf, const Glib::ustring &oldname, const Glib::ustring &newname)

## Protected Member Functions

bool | loadsetting (PresetFile *p, const Glib::ustring &name)
void | loadstate ()
void | set_io (AbstractStateIO *st, AbstractPresetIO *pr)

## Protected Attributes

AbstractStateIO * | state_io
AbstractPresetIO * | preset_io
StateFile | statefile
PresetBanks | banks
Glib::ustring | current_bank
Glib::ustring | current_name
gx_engine::EngineControl & | seq
sigc::signal< void > | selection_changed
sigc::signal< void > | presetlist_changed

## Detailed Description

Definition at line 463 of file gx_json.h.

## Constructor & Destructor Documentation

## GxSettingsBase()

gx_system::GxSettingsBase::GxSettingsBase | ( | gx_engine::EngineControl & | seq_ | ) |

## ~GxSettingsBase()

gx_system::GxSettingsBase::~GxSettingsBase | ( |  | ) |

## Member Function Documentation

## append()

void gx_system::GxSettingsBase::append | ( | PresetFile & | pf,
|  | const Glib::ustring & | src,
|  | PresetFile & | pftgt,
|  | const Glib::ustring & | name )

## convert_preset()

bool gx_system::GxSettingsBase::convert_preset | ( | PresetFile & | pf | ) |

## erase_preset() [1/2]

void gx_system::GxSettingsBase::erase_preset | ( | const Glib::ustring & | name | ) |

## erase_preset() [2/2]

void gx_system::GxSettingsBase::erase_preset | ( | PresetFile & | pf,
|  | const Glib::ustring & | name )

## get_current_bank()

const Glib::ustring & gx_system::GxSettingsBase::get_current_bank | ( |  | ) |

inline

Definition at line 485 of file gx_json.h.

## get_current_bank_file()

PresetFile * gx_system::GxSettingsBase::get_current_bank_file | ( |  | ) |

inline

Definition at line 486 of file gx_json.h.

## get_current_name()

const Glib::ustring & gx_system::GxSettingsBase::get_current_name | ( |  | ) |

inline

Definition at line 487 of file gx_json.h.

## insert_after()

void gx_system::GxSettingsBase::insert_after | ( | PresetFile & | pf,
|  | const Glib::ustring & | src,
|  | PresetFile & | pftgt,
|  | const Glib::ustring & | pos,
|  | const Glib::ustring & | name )

## insert_before()

void gx_system::GxSettingsBase::insert_before | ( | PresetFile & | pf,
|  | const Glib::ustring & | src,
|  | PresetFile & | pftgt,
|  | const Glib::ustring & | pos,
|  | const Glib::ustring & | name )

## load_preset()

void gx_system::GxSettingsBase::load_preset | ( | PresetFile * | pf,
|  | const Glib::ustring & | name )

## loadsetting()

bool gx_system::GxSettingsBase::loadsetting | ( | PresetFile * | p,
|  | const Glib::ustring & | name )

protected

## loadstate()

void gx_system::GxSettingsBase::loadstate | ( |  | ) |

protected

## remove_bank()

bool gx_system::GxSettingsBase::remove_bank | ( | const Glib::ustring & | bank | ) |

## rename_bank()

bool gx_system::GxSettingsBase::rename_bank | ( | const Glib::ustring & | oldname,
|  | const Glib::ustring & | newname,
|  | const std::string & | newfile )

## rename_preset()

bool gx_system::GxSettingsBase::rename_preset | ( | PresetFile & | pf,
|  | const Glib::ustring & | oldname,
|  | const Glib::ustring & | newname )

## reorder_preset()

void gx_system::GxSettingsBase::reorder_preset | ( | PresetFile & | pf,
|  | const std::vector< Glib::ustring > & | neworder )

## save()

void gx_system::GxSettingsBase::save | ( | PresetFile & | pf,
|  | const Glib::ustring & | name )

## save_to_state()

void gx_system::GxSettingsBase::save_to_state | ( | bool | preserve_preset = false | ) |

## set_io()

void gx_system::GxSettingsBase::set_io | ( | AbstractStateIO * | st,
|  | AbstractPresetIO * | pr )

inline protected

Definition at line 477 of file gx_json.h.

## set_source_to_state()

void gx_system::GxSettingsBase::set_source_to_state | ( |  | ) |

## set_statefilename()

void gx_system::GxSettingsBase::set_statefilename | ( | const std::string & | fn | ) |

inline

Definition at line 488 of file gx_json.h.

## setting_is_preset()

bool gx_system::GxSettingsBase::setting_is_preset | ( |  | ) |

inline

Definition at line 492 of file gx_json.h.

Referenced by get_current_bank_file().

## signal_presetlist_changed()

sigc::signal< void > & gx_system::GxSettingsBase::signal_presetlist_changed | ( |  | ) |

inline

Definition at line 481 of file gx_json.h.

## signal_selection_changed()

sigc::signal< void > & gx_system::GxSettingsBase::signal_selection_changed | ( |  | ) |

inline

Definition at line 479 of file gx_json.h.

## Member Data Documentation

## banks

PresetBanks gx_system::GxSettingsBase::banks

protected

Definition at line 468 of file gx_json.h.

Referenced by get_current_bank_file().

## current_bank

Glib::ustring gx_system::GxSettingsBase::current_bank

protected

Definition at line 469 of file gx_json.h.

Referenced by get_current_bank(), get_current_bank_file(), and setting_is_preset().

## current_name

Glib::ustring gx_system::GxSettingsBase::current_name

protected

Definition at line 470 of file gx_json.h.

Referenced by get_current_name().

## preset_io

AbstractPresetIO* gx_system::GxSettingsBase::preset_io

protected

Definition at line 466 of file gx_json.h.

Referenced by set_io().

## presetlist_changed

sigc::signal<void> gx_system::GxSettingsBase::presetlist_changed

protected

Definition at line 473 of file gx_json.h.

Referenced by signal_presetlist_changed().

## selection_changed

sigc::signal<void> gx_system::GxSettingsBase::selection_changed

protected

Definition at line 472 of file gx_json.h.

Referenced by signal_selection_changed().

## seq

gx_engine::EngineControl& gx_system::GxSettingsBase::seq

protected

Definition at line 471 of file gx_json.h.

Referenced by gx_preset::GxSettings::GxSettings().

## state_io

AbstractStateIO* gx_system::GxSettingsBase::state_io

protected

Definition at line 465 of file gx_json.h.

Referenced by rename_preset(), and set_io().

## statefile

StateFile gx_system::GxSettingsBase::statefile

protected

Definition at line 467 of file gx_json.h.

Referenced by set_statefilename().

The documentation for this class was generated from the following file:

- src/headers/gx_json.h